org.apache.cassandra.cql3.functions

## Interface AggregateFunction

All Superinterfaces:
  AssignmentTestable, Function

All Known Implementing Classes:
  NativeAggregateFunction, UDAggregate

    public interface AggregateFunction
    extends Function

Performs a calculation on a set of values and return a single value.

### Nested Class Summary

Nested Classes
`static interface` `AggregateFunction.Aggregate` An aggregation operation.

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`AggregateFunction.Aggregate` `newAggregate()` Creates a new `Aggregate` instance.

### Methods inherited from interface org.apache.cassandra.cql3.functions.Function

`addFunctionsTo, argTypes, columnName, hasReferenceTo, isAggregate, isNative, name, returnType`

### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`testAssignment`

### Method Detail

#### newAggregate

    AggregateFunction.Aggregate newAggregate()
                                      throws InvalidRequestException

Creates a new `Aggregate` instance.

Returns:
  a new `Aggregate` instance.
Throws:
  `InvalidRequestException`